FASTF/TFASTFv3(1)

NAME
fastf3, fastf3_t - compare a mixed peptide sequence against a protein database using a modified fasta algorithm. tfastf3, tfastf3_t - compare a mixed pepide sequence against a translated DNA database.

DESCRIPTION
fastf3 and tfastf3 are designed to compare a sequence of mixed peptides to a protein (fastf3) or translated DNA (tfastf3) database. Unlike the traditional fasta3 search, which uses a protein or DNA sequence, fastf3 and tfastf3 work with a query sequence of the form:
>testf from mgstm1
MGCEN,
MIDYP,
MLLAY,
MLLGY
This sequence indicates that a mixture of four peptides has been found, with 'M' in the first position of each one (as from a CNBr cleavage), in the second position 'G', 'I', or 'L' (twice), at the third position 'C', 'D', or 'L' (twice), at the fourth position 'E', (included with the distribution), the mixture is deconvolved to form:
testf    MILGY-----------MLLEY-----------MGDAP-----------
         :::::           :::::           :::::
GT8.7  MPMILGYWNVRGLTHPIRMLLEYTDSSYDEKRYTMGDAPDFDRSQWLNEK
               10        20        30        40        50
testf  --------------------------------------------------

GT8.7  FKLGLDFPNLPYLIDGSHKITQSNAILRYLARKHHLDGETEEERIRADIV
               60        70        80        90       100
                      20
testf  ------------MLCYN
                   :::::
GT8.7  ENQVMDTRMQLIMLCYNPDFEKQKPEFLKTIPEKMKLYSEFLGKRPWFAG
              110       120       130       140       150

Options

fastf3 and tfastf3 can accept a query sequence from the unix "stdin" data stream. This makes it much easier to use fasta3 and its relatives as part of a WWW page. To indicate that stdin is to be used, use "-" or "@" as the query sequence file name.

-b #
    number of best scores to show (must be < -E cutoff)

-d #
    number of best alignments to show ( must be < -E cutoff)

-D  turn on debugging mode. Enables checks on sequence alphabet that cause problems with tfastx3, tfasty3, tfasta3.

-E #
    Expectation value limit for displaying scores and alignments. Expectation values for fastf3 and tfastf3 are not as accurate as those for the other fasta3 programs.

-H  turn off histogram display

-i  compare against only the reverse complement of the library sequence.

-L  report long sequence description in alignments

-m 0,1,2,3,4,5,6,10
    alignment display options

-n  force query to nucleotide sequence

-N #
    break long library sequences into blocks of # residues. Useful for bacterial genomes, which have only one sequence entry. -N 2000 works well for well for bacterial genomes.

-O file
    send output to file

-q/-Q
    quiet option; do not prompt for input

-R file
    save all scores to statistics file

-S #
    offset substitution matrix values by a constant #

-s name
    specify substitution matrix. BLOSUM50 is used by default; PAM250, PAM120, and BLOSUM62 can be specified by setting -s P120, P250, or BL62. With this version, many more scoring matrices are available, including BLOSUM80 (BL80), and MDM_10, MDM_20, MDM_40 (M10, M20, M40). Alternatively, BLASTP1.4 format scoring matrix files can be specified.

-T #
    (threaded, parallel only) number of threads or workers to use (set by default to 4 at compile time).

-t #
    Translation table - tfastf3 can use the BLAST tranlation tables. See http://www.ncbi.nlm.nih.gov/htbin-post/Taxonomy/wprintgc?mode=c/.

-w #
    line width for similarity score, sequence alignment, output.

-x "#,#"
    offsets query, library sequence for numbering alignments

-z #
    Specify statistical calculation. Default is -z 1, which uses regression against the length of the library sequence. -z 0 disables statistics. -z 2 uses the ln() length correction. -z 3 uses Altschul and Gish's statistical estimates for specific protein BLOSUM scoring matrices and gap penalties. -z 4: an alternate regression method.

-Z db_size
    Set the apparent database size used for expectation value calculations.

-1  Sort by "init1" score.

-3  (TFASTF3 only) use only forward frame translations

Environment variables:

FASTLIBS
    location of library choice file (-l FASTLIBS)

SMATRIX
    default scoring matrix (-s SMATRIX)

SRCH_URL
    the format string used to define the option to re-search the database.

REF_URL
    the format string used to define the option to lookup the library sequence in entrez, or some other database.

AUTHOR
Bill Pearson
wrp@virginia.EDU